/*
  This stylesheet has additional styles for Right-To-Left text, like Arabic
  direction: rtl;
*/



/* General Switch Right to Left */
body.mne-report, body.node-type-blog {
  direction: rtl;
  text-align: right;
}

ol, ul {
  margin: 0 1em 1.5em 0;
}



/* Main Menu */
body.front header .header__navigation nav, body.homepage-2020 header .header__navigation nav {
  left: 0;
}
.tbm .nav > li {
  float: right;
}

@media screen and (max-width: 1170px) {
  .tbm.tbm--mobile .tbm-collapse {
    max-width: 1px;
  }
}

@media screen and (max-width: 767px){
  .mobile-nav-button {
    right: unset;
    left:  5%;
    direction: ltr;
  }
  .tbm .nav-collapse .nav > li > a, 
  .tbm .dropdown-menu .mega-nav > li > a, 
  .tbm .mega-nav > li > a, 
  .tbm .dropdown-menu .mega-nav > li:first-child > a, 
  .tbm .mega-nav > li:first-child > a {
    text-align: right;
  }
}



/* Reprot 2022 Template Header */
.icon-report-header {
  float: left;
}
.report-hero__wrapper .sharethis-inline-share-buttons,
.report-hero__intro .sharethis-inline-share-buttons {
  direction: rtl !important;
  text-align: right !important;
}
#st-1 .st-btn, #st-2 .st-btn {
  margin-right: 8px !important;
}
#st-1 .st-btn.st-first, #st-2 .st-btn.st-first  {
  margin-right:0 !important;
}



/* Awards Table */
@media screen and (min-width: 1024px){
  .awards-table__providers {
    padding-left: 15px;
  }
  .badge-row__title a {
    transform: rotate(0deg);
  }
}
@media screen and (min-width: 1440px){
  .awards-table {
    justify-content: right;
  }
}
@media screen and (max-width: 1023px) and (min-width: 480px){
  .awards-table__providers.stickOnScroll-on {
    padding-left: 28px;
    padding-right: 0;
  } 
}



/* Tabs etc that need to be LTR */
/*.tab-selectors__wrapper {
  direction: ltr;
}
.toggle-set__wrapper {
  direction: ltr;
}*/

.tab-content__wrapper {
  border-radius: 10px 0 10px 10px;
}

.tab-selector:first-of-type {
  border-radius: 0 10px 0 0;
}
.tab-selector:last-of-type {
  border-radius: 10px 0 0 0;
}

.tab-selector.roundcornersingletab {
  border-radius: 10px 10px 0 0;
}

.singletabnoshow, .toggle-menu__option.singletabnoshow {
  border-radius: 10px;
}

@media screen and (min-width: 768px){
  .toggle-menu__wrapper {
    margin-right:0;
    margin-left:30px;
  }
}

.tab-content__wrapper .chart-block {
  direction: ltr;
}
.report-updated .s-content h5, .report-updated .c-ru-headline--epsilon {
  text-align: left;
}
.tab-content__wrapper .toggle__wrapper {
  direction: ltr;
}
.toggle-menu__option {
  direction: ltr;
}
.map-selectors__menu .map__select, .map-selectors__menu .toggle__select, .toggle-selectors__menu .map__select, .toggle-selectors__menu .toggle__select {
  direction: ltr;
  text-align: right;
}
.awards-table-block .btn--modal-open {
  direction: ltr;
}
.downloadawardstable .report-updated .c-ru-graph__copyright {
  margin-right: 235px;
  margin-left: 0;
}

.cell-operator:last-of-type {
  border-right: 1px solid #fff;
}
.cell-operator:first-of-type {
  border: none;
}

/*.report-hero__wrapper::after {
  background-image: url(../img/element_slant_blue_rtl.svg);
}*/

@media screen and (min-width: 768px){
  .region__name {
    border: none;
  }
  .region__data__cell:last-of-type {
    border-right:1px solid #064e71;
  }
  .region-list__wrapper {
    padding-left: 50px;
    padding-right: 0;
  }
  .report-hero__wrapper::after {
    background-image: url(../img/element_slant_lrg_rtl_2.svg);
    background-position: center 20px;
  }
}

@media screen and (min-width: 1024px){
  .report-hero__wrapper::after {
    background-position: center 15px;
  }
}

@media screen and (min-width: 1440px){
  .report-hero__wrapper::after {
    background-position: center 8px;
  }
}

.region-list__group__items ul li:first-of-type {
  border-radius: 10px 0 0 0;
}

.region-list__group.active::before {
  left: unset;
  right: 0;
}
.region-list__group__items {
  padding-left:0;
  padding-right: 15px;
}

.regionalmetricchart {
  width: 48%;
  float: right;
  margin: 0 0 30px 2%;
}
.regionalmetricchart .c-ru-chart__unit {
  text-align:left;
}





/* Blog Specific */
#wrapper.node-type-blog .blog-1 article {
  direction: rtl;
  text-align: right;
}

#wrapper.node-type-blog .blog-1 article div#prevnext-previous {
  float: right;
}
#wrapper.node-type-blog .blog-1 article div#prevnext-next {
  float: left;
}
#wrapper.node-type-blog .footer-copyright, #wrapper.node-type-blog .s-copyright {
  text-align: right;
  margin-top:20px;
}
#wrapper.node-type-blog .blog-1 h1 {
  text-align: right;
}
#wrapper.node-type-blog .blog-1 p.post-meta {
  text-align: right;
  width: 100%;
}

/* Thought Leadership Specific */
#thought-leadership-hero h1 {
  text-align: right;
}
#thought-leadership-strapline .inner-container {
  direction: rtl;
}
#thought-leadership-strapline #strapline-left img {
  border:none;
  border-left: 1px solid #00b9b0;
  padding: 0 0 0 21px;
}
#thought-leadership-strapline #strapline-right {
  margin: 0 19px 0 0;
}
#thought-leadership-intro, 
#thought-leadership-key-findings,
#thought-leadership-toc,
#thought-leadership-body h4 {
  direction: rtl;
  text-align: right;
}
/*#thought-leadership-key-findings h4 {
  width: 1px;
  overflow: hidden;
}
#thought-leadership-key-findings h4:before {
  content:"أهم النتائج الرئيسية:";
  direction: rtl;
  text-align: right;
  position: absolute;
  width: 100%;
}*/
#thought-leadership-key-findings ul, #thought-leadership-toc ul {
  padding-right: 0;
}


/* Blog and Report */
.app-buttons {
  text-align: left;
}



/* Best Network - Copied from WeGlot styling report2022-drupal.css */
.provider__title {
  display:flex;
  flex-direction:column;
  align-items: end;
}
.last-category .badge-row.last-badge-row .isbestnetwork {
  border-right:none;
  border-left:2px solid #b2c5c7;
}
.provider.isbestnetwork {
  border:2px solid #b2c5c7;
  border-left:none;
  margin-left: -15px;
  padding-left: 15px;
}
.provider.isbestnetwork::before {
  left:unset;
  right:0;
}

@media screen and (max-width: 1023px) {
  .last-category .badge-row.last-badge-row .isbestnetwork {
    border: 2px solid #b2c5c7;
    border-top: none;
  }
  .provider.isbestnetwork {
    border:2px solid #b2c5c7;
    border-bottom:none;
    margin-left:0;
    padding-left:0;
  }
}
@media screen and (max-width: 479px) {
  .awards-table__providers.stickOnScroll-on {
    padding-right:0;
    padding-left: 28px;
  }
}